[Unit]
Description=FastAPI MIPAS Search
After=network.target

[Service]
User={{ user_var }}
Group={{ user_var }}
WorkingDirectory=/home/{{ user_var }}/mipas-search/fastapi
Environment="PATH=/home/{{ user_var }}/.venv/mipas-search/bin"
Environment="DATA_PATH=data"
ExecStart=/home/{{ user_var }}/.venv/mipas-search/bin/uvicorn main:app --root-path /mipas

[Install]
WantedBy=multi-user.target
